=== debian/changelog ===
cbmc (4.9-4) unstable; urgency=low

  * Work around binutils regression using ar rcf instead of ld -r. Thanks
    Matthias Klose for the suggestion. (Closes: #763228)

 -- Michael Tautschnig <mt@debian.org>  Sat, 11 Oct 2014 12:58:47 +0100

cbmc (4.9-3) unstable; urgency=low

  * Actually fix most instances of missing big-endian support
  * Fixes for SH-4 and ARM64 configuration

 -- Michael Tautschnig <mt@debian.org>  Thu, 07 Aug 2014 14:45:19 +0100

cbmc (4.9-2) unstable; urgency=low

  * Again mark several tests as KNOWNBUG due to incomplete big-endian
    support

 -- Michael Tautschnig <mt@debian.org>  Wed, 06 Aug 2014 12:17:09 +0100

cbmc (4.9-1) unstable; urgency=low

  * New upstream release
  * All 4.7 patches merged

 -- Michael Tautschnig <mt@debian.org>  Sun, 03 Aug 2014 16:22:33 +0100

cbmc (4.7-2) unstable; urgency=low

  * Mark tests Pointer_Arithmetic12, Pointer_byte_extract{2,3,5}
    as KNOWNBUG due to incomplete big-endian support
    (Closes: #754717)

 -- Michael Tautschnig <mt@debian.org>  Tue, 15 Jul 2014 11:54:44 +0100

cbmc (4.7-1) unstable; urgency=low

  * New upstream release
  * All 4.5 patches merged
  * Updated Standards version to 3.9.5 (no changes required)
  * Added support for mips ABI n32, n64.
    Thanks Sphinx Jiang (Closes: #752072)

 -- Michael Tautschnig <mt@debian.org>  Sat, 28 Jun 2014 17:55:30 +0100
