## cbmc 5.0

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 DIRS = ansi-c big-int cbmc cpp goto-cc goto-instrument goto-programs \
        goto-symex langapi pointer-analysis solvers util linking xmllang \
-       assembler analyses java_bytecode aa-path-symex path-symex
+       assembler analyses java_bytecode aa-path-symex path-symex musketeer
 
 all: cbmc.dir goto-cc.dir goto-instrument.dir path-symex.dir
 
@@ -14,11 +14,15 @@
 .PHONY: languages
 .PHONY: clean
 
+cpp.dir: ansi-c.dir
+
 languages: util.dir langapi.dir \
            cpp.dir ansi-c.dir xmllang.dir assembler.dir java_bytecode.dir
 
 goto-instrument.dir: languages goto-programs.dir pointer-analysis.dir \
                      goto-symex.dir linking.dir analyses.dir solvers.dir
+
+musketeer.dir: goto-instrument.dir
 
 cbmc.dir: languages solvers.dir goto-symex.dir analyses.dir \
           pointer-analysis.dir goto-programs.dir linking.dir
