=== src/symex/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
        ../solvers/solvers$(LIBEXT) \
        ../util/util$(LIBEXT) \
        ../goto-symex/adjust_float_expressions$(OBJEXT) \
+       ../goto-symex/rewrite_union$(OBJEXT) \
        ../pointer-analysis/dereference$(OBJEXT) \
        ../path-symex/path-symex$(LIBEXT)
