=== debian/changelog ===
cbmc (5.0-3) unstable; urgency=low

  * Fix long-double-width on sparc

 -- Michael Tautschnig <mt@debian.org>  Sun, 08 Feb 2015 09:16:23 +0000

cbmc (5.0-2) unstable; urgency=low

  * Pick big-endian patches from trunk (Closes: 776842) 

 -- Michael Tautschnig <mt@debian.org>  Sat, 07 Feb 2015 22:23:33 +0000

cbmc (5.0-1) unstable; urgency=low

  * New upstream release
  * Most 4.9 patches merged
  * Includes support for ppc64el. Thanks Breno Leitao for further patches.
    (Closes: #765376) 

 -- Michael Tautschnig <mt@debian.org>  Thu, 29 Jan 2015 07:30:49 +0000

cbmc (4.9-5) unstable; urgency=low

  * Make assertion fail if chdir fails. Thanks Graham Inggs for the heads-up.
    (Closes: #773455)
  * Updated Standards version to 3.9.6 (no changes required)

 -- Michael Tautschnig <mt@debian.org>  Thu, 18 Dec 2014 16:46:38 +0000
